Bug 619108 - Long commit messages cause window/panels to resize out of screen area
Long commit messages cause window/panels to resize out of screen area
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 11:21 EDT by Andrew Kroeger
Modified: 2013-01-10 05:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch to solve the reported issue (890 bytes, application/octet-stream)
2010-07-28 11:21 EDT, Andrew Kroeger
no flags Details

  None (edit)
Description Andrew Kroeger 2010-07-28 11:21:30 EDT
Created attachment 435046 [details]
Upstream patch to solve the reported issue

Description of problem:
If you select a commit with a long commit message (as is common with a Git repository mirrored from CVS, where developers do follow the usual Git convention of an initial short 1 line description), the Subject panel on top and the Details pane on the bottom resize to accommodate the long message and the scrollbars on the right are no longer visible.

Version-Release number of selected component (if applicable):
gitg-0.0.6-3.fc13.x86_64.rpm (Downloaded from http://koji.fedoraproject.org/koji/buildinfo?buildID=166805)

How reproducible:
Always, when the first line of the commit message is too long.

Steps to Reproduce:
1. Clone the PostgreSQL git repository (git://git.postgresql.org/git/postgresql.git)
2. Open the PostgreSQL repository with gitg
3. Choose the origin/REL9_0_STABLE branch
4. Select the "Allow ORDER BY/GROUP BY..." commit from Tom Lane dated "Sun 18 Jul 2010 02:37:57 PM CDT"
  
Actual results:
The Subject panel on top and the Details pane on the bottom resize to accommodate the long message and the scrollbars on the right are no longer visible.

Expected results:
Horizontal scrollbars appear and keep the window and panels sized correctly.

Additional info:
This was filed upstream (https://bugzilla.gnome.org/show_bug.cgi?id=616638).  The attached patch is upstream commit 67d1bbb95d53ffb3f94dd7f0298aad71028ee1fa, which solves the issue for me.
Comment 1 Bug Zapper 2011-06-01 08:38:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 08:51:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.